X
Tap here to go to the mobile version of the site.

Support Forum

samsung galaxy tab 8.9, firefox says not latest version????

Posted

Cannot get latest Firefox to work on Samsung Galaxy Tab 8.9. Any suggestions?

Cannot get latest Firefox to work on Samsung Galaxy Tab 8.9. Any suggestions?

Chosen solution

Get the latest version via the Google Play Store, as for every other app you have installed.

Read this answer in context 2
Quote

Additional System Details

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:54.0) Gecko/20100101 Firefox/54.0

More Information

christ1
  • Top 10 Contributor
1714 solutions 12227 answers

Chosen Solution

Get the latest version via the Google Play Store, as for every other app you have installed.

Get the latest version via the Google Play Store, as for every other app you have installed.
Was this helpful to you? 2
Quote
kbrosnan
  • Moderator
497 solutions 3311 answers

Helpful Reply

The Samsung Galaxy Tab 8.9 model number GT-P7300 is no longer supported. It has an older CPU that is no longer supported by Firefox.

The Samsung Galaxy Tab 8.9 model number GT-P7300 is no longer supported. It has an older CPU that is no longer supported by Firefox.
Was this helpful to you? 1
Quote
Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.